| Task | Python function | curl |
|---|---|---|
| Get a list of available workflows | workflows.list_workflows | GET /workflows |
| Get information about a workflow | workflows.get_workflow | GET /workflows/<workflow-id> |
| Create a workflow | workflows.create_workflow | POST /workflows |
| Run a workflow manually | workflows.run_workflow | POST /workflows/<workflow-id>/run |
| Update a workflow | workflows.update_workflow | PUT /workflows/<workflow-id> |
| Delete a workflow | workflows.delete_workflow | DELETE /workflows/<workflow-id> |
| Get a list of available workflow templates | GET /templates | |
| Get information about a workflow template | GET /templates/<template-id> |
Pipelines operations
Workflows
Build and manage Unstructured workflows with the Python SDK or REST endpoints. Create, update, run, and delete workflows that process and transform documents from source to destination.
To use the Unstructured Pipelines operations to manage workflows, do the following:
Was this page helpful?

